
Redmine - Defect #24769

User custom field filter lists only "Me" on cross project issue list

2017-01-05 16:43 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version:  

Description

Although assignee field and author field list visible members of all projects, user type custom field only lists "Me". It is inconsistent

and inconvenient.

User format custom field should list members of projects in addition to "Me".

User format custom field:

 

User format standard field (assignee):

 

Related issues:

Has duplicate Redmine - Feature #9445: Add Issue custom fields of User-format... Closed 2011-10-21

Has duplicate Redmine - Defect #18940: Filter by custom user field didn´t work Closed

Associated revisions

Revision 16310 - 2017-01-30 19:37 - Jean-Philippe Lang

Show all members in user custom field filter on the cross project issue list (#24769).
Revision 16318 - 2017-01-30 22:35 - Jean-Philippe Lang

Reverts unwanted change (#24769).

History

#1 - 2017-01-17 09:29 - Go MAEDA

- File 24769-list-all-members.diff added

I have created a patch to fix this issue.

#2 - 2017-01-20 02:10 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2017-01-30 13:56 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

#4 - 2017-01-30 19:38 - Jean-Philippe Lang

- Subject changed from User format custom field lists only "Me" on cross project issue list to User custom field filter lists only "Me" on cross project

issue list

- Category changed from Custom fields to Issues filter

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Different fix committed in r16310, thanks.

#5 - 2017-09-23 12:27 - Toshi MARUYAMA

- Has duplicate Feature #9445: Add Issue custom fields of User-format to the cross-project issuelist filters added

#6 - 2017-09-23 12:28 - Toshi MARUYAMA

- Has duplicate Defect #18940: Filter by custom user field didn´t work added
